SCRIPTLIVE(1)

NAMN
scriptlive - kör om sessionens typskript med hjälp av tidsinformation

SYNOPSIS

scriptlive [flaggor] timingfile typescript

BESKRIVNING

Det här programmet kör om ett typskript med hjälp av typskript och tidsinformation från stdin för att säkerställa att inmatningen sker i samma rytm som den ursprungligen såg ut när skriptet spelades in.

Sessionen körs* i en nyskapad pseudoterminal med användarens $SHELL (eller standard /bin/bash).

Var försiktig! Typskriptet kan innehålla godtyckliga kommandon. Vi rekommenderar att du använder "scriptreplay --stream in --log-in typescript" (eller med --log-io i stället för --log-in) för att verifiera typescriptet innan det körs med scriptlive.

Tidsinformationen är det som script(1) matar ut till filen som specificeras av --log-timing. Typskriptet måste innehålla stdin-information och är det som script(1) matar ut till den fil som anges av --log-in eller --log-io.

FLAGGOR

-c, --command kommando
    Execute command instead of an interactive shell. The command is passed as argument to the -c option of the execution shell. The used shell is either $SHELL, the shell defined in the user’s passwd(5) database or _PATH_BSHELL, selected in respective order.

-I, --log-in fil
    Fil som innehåller script:s terminalinmatning.

-B, --log-io fil
    Fil som innehåller script:s terminalutdata och -inmatning.

-E, --echo när
    Denna flagga styr flaggan ECHO för slavänden av sessionens pseudoterminal. De lägen som stöds är always, never och auto.

    Standardinställningen är auto - i så fall aktiveras ECHO. Detta standardbeteende kan komma att ändras.

-t, --timing fil
    Fil som innehåller script:s tidsutdata. Denna flagga ersätter det positionella argumentet timingfile.

-T, --log-timing fil
    Ett alias för -t; bibehålls för kompatibilitet med kommandoradsflaggorna för script(1).

-d, --divisor nummer
    Påskynda uppspelningen genom att visa detta antal gånger. Argumentet är ett flyttal. Det kallas divisor eftersom det dividerar tidsangivelserna med denna faktor. Den här flaggan åsidosätter gamla argument.

-m, --maxdelay nummer
    Ställ in den maximala fördröjningen mellan uppdateringar till antal sekunder. Argumentet är ett flyttal. Detta kan användas för att undvika långa pauser i uppspelningen av typskriften.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

EXEMPEL

    % script --log-timing file.tm --log-in script.in
    Skriptet startat, filen är script.out
    % date
    <etc, etc> <etc, etc
    % exit
    Skriptet är klart, filen är script.out
    % scriptlive --log-timing fil.tm --log-in skript.in

UPPHOVSPERSONER

UPPHOVSRÄTT

Copyright © 2019 Karel Zak

Detta är fri programvara; se källan för kopieringsvillkor. Det finns INGEN garanti; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT BESTÄMMT SYFTE.

Utgiven under GNU General Public License version 2 eller senare.

SE ÄVEN

script(1), scriptreplay(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot scriptlive ingår i paketet util-linux som kan hämtas från